﻿print("|cff009cffGoodmanUI|r /align toggle grid")
print("|cff009cffGoodmanUI|r /frames unlock or /frames lock")
print("|cff009cffGoodmanUI|r hold ALT+LMB to drag stats frame")

local frame = CreateFrame("Frame", "CVarSet")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:SetScript(
    "OnEvent",
    function()
        SetCVar("ffxGlow", "0")
        SetCVar("ffxDeath", "0")
        SetCVar("ffxNether", "0")
        SetCVar("cameraDistanceMaxZoomFactor", 4.0)
        SetCVar("chatClassColorOverride", 0)
        SetCVar("ShowClassColorInFriendlyNameplate", 1)
        SetCVar("ShowClassColorInNameplate", 1)
        SetCVar("WeatherDensity", 0)
        SetCVar("RAIDweatherDensity", 0)
        SetCVar("autoLootDefault",1)
        
        -- Nameplates
        SetCVar("nameplateMaxDistance", 41)
        SetCVar("nameplateMinScale", 1.0);
        SetCVar("nameplateMaxScale", 1.0);
        SetCVar("nameplateGlobalScale", 0.8)
        SetCVar("nameplateOverlapH", 0.6)
        SetCVar("nameplateMinAlpha", 1)
        SetCVar("nameplateOtherTopInset", 0.1)
        SetCVar("nameplateNotSelectedAlpha", 1.0);
        SetCVar("nameplateSelectedAlpha", 1.0);
        --SetCVar("nameplateOtherBottomInset", -1)
        SetCVar("nameplateOverlapV", 0.9)
        SetCVar("nameplateMotion", 1)
        SetCVar("nameplateTargetRadialPosition", 0)
        SetCVar("clampTargetNameplateToScreen", 0)
        SetCVar( "nameplateOtherAtBase", 0)

        if (GoodmanUIDB.GENERAL.LUA_ERRORS) then
            SetCVar("scriptErrors", "1")
        else
            SetCVar("scriptErrors", "0")
        end
    end
)