local addonName, ns, GoodmanUUIDB = ...

local function FrameColour()
    LoadAddOn("Blizzard_TimeManager")
    select(1, TimeManagerClockButton:GetRegions()):SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)

    for i,v in pairs({
        PlayerFrameTexture,
        PlayerFrameAlternateManaBarBorder,
        PlayerFrameAlternateManaBarLeftBorder,
        PlayerFrameAlternateManaBarRightBorder,
        PlayerFrameAlternatePowerBarBorder,
        PlayerFrameAlternatePowerBarLeftBorder,
        PlayerFrameAlternatePowerBarRightBorder,
        TargetFrameTextureFrameTexture,
        TargetFrameToTTextureFrameTexture,
        PetFrameTexture,
        PartyMemberFrame1Texture,
        PartyMemberFrame2Texture,
        PartyMemberFrame3Texture,
        PartyMemberFrame4Texture,
        PartyMemberFrame1PetFrameTexture,
        PartyMemberFrame2PetFrameTexture,
        PartyMemberFrame3PetFrameTexture,
        PartyMemberFrame4PetFrameTexture,
        SlidingActionBarTexture0,
        SlidingActionBarTexture1,
        MainMenuBarTexture0,
        MainMenuBarTexture1,
        MainMenuBarTexture2,
        MainMenuBarTexture3,
        MainMenuMaxLevelBar0,
        MainMenuMaxLevelBar1,
        MainMenuMaxLevelBar2,
        MainMenuMaxLevelBar3,
        MainMenuXPBarTexture0,
        MainMenuXPBarTexture1,
        MainMenuXPBarTexture2,
        MainMenuXPBarTexture3,
        MainMenuXPBarTexture4,
        ReputationWatchBar.StatusBar.WatchBarTexture0,
        ReputationWatchBar.StatusBar.WatchBarTexture1,
        ReputationWatchBar.StatusBar.WatchBarTexture2,
        ReputationWatchBar.StatusBar.WatchBarTexture3,
        ReputationWatchBar.StatusBar.XPBarTexture0,
        ReputationWatchBar.StatusBar.XPBarTexture1,
        ReputationWatchBar.StatusBar.XPBarTexture2,
        ReputationWatchBar.StatusBar.XPBarTexture3,
        MinimapBorder,
        MirrorTimer1Border,
        MirrorTimer2Border,
        MirrorTimer3Border,
        MiniMapTrackingBorder,
        MiniMapLFGFrameBorder,
        MiniMapBattlefieldBorder,
        MiniMapMailBorder,
        MiniMapBorderTop,
        CastingBarFrame.Border,
        TargetFrameSpellBar.Border,
        }) do
            v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
    end

CHAT_FONT_HEIGHTS = {7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20}

for i, v in pairs({
    MainMenuBarLeftEndCap,
    MainMenuBarRightEndCap,
    StanceBarLeft,
    StanceBarMiddle,
    StanceBarRight,
    GameMenuFrameHeader,
    GameMenuFrame.BottomEdge,
    GameMenuFrame.BottomLeftCorner,
    GameMenuFrame.BottomRightCorner,
    GameMenuFrame.LeftEdge,
    GameMenuFrame.RightEdge,
    GameMenuFrame.TopEdge,
    GameMenuFrame.TopLeftCorner,
    GameMenuFrame.TopRightCorner,
    InterfaceOptionsFrameHeader,
    InterfaceOptionsFrame.BottomEdge,
    InterfaceOptionsFrame.BottomLeftCorner,
    InterfaceOptionsFrame.BottomRightCorner,
    InterfaceOptionsFrame.LeftEdge,
    InterfaceOptionsFrame.RightEdge,
    InterfaceOptionsFrame.TopEdge,
    InterfaceOptionsFrame.TopLeftCorner,
    InterfaceOptionsFrame.TopRightCorner,
    VideoOptionsFrameHeader,
    VideoOptionsFrame.BottomEdge,
    VideoOptionsFrame.BottomLeftCorner,
    VideoOptionsFrame.BottomRightCorner,
    VideoOptionsFrame.LeftEdge,
    VideoOptionsFrame.RightEdge,
    VideoOptionsFrame.TopEdge,
    VideoOptionsFrame.TopLeftCorner,
    VideoOptionsFrame.TopRightCorner,
    AddonList.BotLeftCorner,
    AddonList.BotRightCorner,
    AddonList.BottomBorder,
    AddonList.LeftBorder,
    AddonList.RightBorder,
    AddonList.TopBorder,
    AddonList.TopLeftCorner,
    AddonList.TopRightCorner,
    AddonListBtnCornerLeft,
    AddonListBtnCornerRight,
    AddonListBg,
    ExhaustionTickNormal,
    AddonListEnableAllButton_RightSeparator,
    AddonListDisableAllButton_RightSeparator,
    AddonListCancelButton_LeftSeparator,
    AddonListOkayButton_LeftSeparator,
    StaticPopup1.BottomEdge,
    StaticPopup1.BottomLeftCorner,
    StaticPopup1.BottomRightCorner,
    StaticPopup1.LeftEdge,
    StaticPopup1.RightEdge,
    StaticPopup1.TopEdge,
    StaticPopup1.TopLeftCorner,
    StaticPopup1.TopRightCorner,
    StaticPopup2.BottomEdge,
    StaticPopup2.BottomLeftCorner,
    StaticPopup2.BottomRightCorner,
    StaticPopup2.LeftEdge,
    StaticPopup2.RightEdge,
    StaticPopup2.TopEdge,
    StaticPopup2.TopLeftCorner,
    StaticPopup2.TopRightCorner,
    StaticPopup3.BottomEdge,
    StaticPopup3.BottomLeftCorner,
    StaticPopup3.BottomRightCorner,
    StaticPopup3.LeftEdge,
    StaticPopup3.RightEdge,
    StaticPopup3.TopEdge,
    StaticPopup3.TopLeftCorner,
    StaticPopup3.TopRightCorner,
    StaticPopup4.BottomEdge,
    StaticPopup4.BottomLeftCorner,
    StaticPopup4.BottomRightCorner,
    StaticPopup4.LeftEdge,
    StaticPopup4.RightEdge,
    StaticPopup4.TopEdge,
    StaticPopup4.TopLeftCorner,
    StaticPopup4.TopRightCorner,
    DropDownList1MenuBackdrop.BottomEdge,
    DropDownList1MenuBackdrop.BottomLeftCorner,
    DropDownList1MenuBackdrop.BottomRightCorner,
    DropDownList1MenuBackdrop.LeftEdge,
    DropDownList1MenuBackdrop.RightEdge,
    DropDownList1MenuBackdrop.TopEdge,
    DropDownList1MenuBackdrop.TopLeftCorner,
    DropDownList1MenuBackdrop.TopRightCorner,
    DropDownList2MenuBackdrop.BottomEdge,
    DropDownList2MenuBackdrop.BottomLeftCorner,
    DropDownList2MenuBackdrop.BottomRightCorner,
    DropDownList2MenuBackdrop.LeftEdge,
    DropDownList2MenuBackdrop.RightEdge,
    DropDownList2MenuBackdrop.TopEdge,
    DropDownList2MenuBackdrop.TopLeftCorner,
    DropDownList2MenuBackdrop.TopRightCorner,
    ContainerFrame1BackgroundTop,
    ContainerFrame1BackgroundMiddle1,
    ContainerFrame1BackgroundBottom,
    ContainerFrame2BackgroundTop,
    ContainerFrame2BackgroundMiddle1,
    ContainerFrame2BackgroundBottom,
    ContainerFrame3BackgroundTop,
    ContainerFrame3BackgroundMiddle1,
    ContainerFrame3BackgroundBottom,
    ContainerFrame4BackgroundTop,
    ContainerFrame4BackgroundMiddle1,
    ContainerFrame4BackgroundBottom,
    ContainerFrame5BackgroundTop,
    ContainerFrame5BackgroundMiddle1,
    ContainerFrame5BackgroundBottom,
    ContainerFrame6BackgroundTop,
    ContainerFrame6BackgroundMiddle1,
    ContainerFrame6BackgroundBottom,
    ContainerFrame7BackgroundTop,
    ContainerFrame7BackgroundMiddle1,
    ContainerFrame7BackgroundBottom,
    ContainerFrame8BackgroundTop,
    ContainerFrame8BackgroundMiddle1,
    ContainerFrame8BackgroundBottom,
    ContainerFrame9BackgroundTop,
    ContainerFrame9BackgroundMiddle1,
    ContainerFrame9BackgroundBottom,
    ContainerFrame10BackgroundTop,
    ContainerFrame10BackgroundMiddle1,
    ContainerFrame10BackgroundBottom,
    ContainerFrame11BackgroundTop,
    ContainerFrame11BackgroundMiddle1,
    ContainerFrame11BackgroundBottom,
    MerchantFrameInsetInsetBottomBorder,
    TradeFrameBg,
    TradeFrameBottomBorder,
    TradeFrameButtonBottomBorder,
    TradeFrameLeftBorder,
    TradeFrameRightBorder,
    TradeFrameTitleBg,
    TradeFrameTopBorder,
    TradeFrameTopRightCorner,
    TradeRecipientLeftBorder,
    TradeFrameBtnCornerLeft,
    TradeFrameBtnCornerRight,
    TradeRecipientBG,
    TradeFramePortraitFrame,
    TradeRecipientPortraitFrame,
    TradeRecipientBotLeftCorner,
    PVPReadyDialog.BottomEdge,
    PVPReadyDialog.BottomLeftCorner,
    PVPReadyDialog.BottomRightCorner,
    PVPReadyDialog.LeftEdge,
    PVPReadyDialog.RightEdge,
    PVPReadyDialog.TopEdge,
    PVPReadyDialog.TopLeftCorner,
    PVPReadyDialog.TopRightCorner,
    MailFrameBg,
    MailFrameBotLeftCorner,
    MailFrameBotRightCorner,
    MailFrameBottomBorder,
    MailFrameBtnCornerLeft,
    MailFrameBtnCornerRight,
    MailFrameButtonBottomBorder,
    MailFrameLeftBorder,
    MailFramePortraitFrame,
    MailFrameRightBorder,
    MailFrameTitleBg,
    MailFrameTopBorder,
    MailFrameTopLeftCorner,
    MailFrameTopRightCorner,
    MailFrameInsetInsetBottomBorder,
    MailFrameInsetInsetBotLeftCorner,
    MailFrameInsetInsetBotRightCorner,
    LootFrameBg,
    LootFrameRightBorder,
    LootFrameLeftBorder,
    LootFrameTopBorder,
    LootFrameBottomBorder,
    LootFrameTopRightCorner,
    LootFrameTopLeftCorner,
    LootFrameBotRightCorner,
    LootFrameBotLeftCorner,
    LootFrameInsetInsetTopRightCorner,
    LootFrameInsetInsetTopLeftCorner,
    LootFrameInsetInsetBotRightCorner,
    LootFrameInsetInsetBotLeftCorner,
    LootFrameInsetInsetRightBorder,
    LootFrameInsetInsetLeftBorder,
    LootFrameInsetInsetTopBorder,
    LootFrameInsetInsetBottomBorder,
    LootFramePortraitFrame,
    MerchantFrameTitleBg,
    MerchantFrameTopBorder,
    MerchantFrameBtnCornerRight,
    MerchantFrameBtnCornerLeft,
    MerchantFrameBottomRightBorder,
    MerchantFrameBottomLeftBorder,
    MerchantFrameButtonBottomBorder,
    MerchantFrameBg
}) do
v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

for i,v in pairs({
    BankPortraitTexture,
    BankFrameTitleText,
    MerchantFramePortrait,
    WhoFrameTotals
}) do
v:SetVertexColor(1, 1, 1)
end

-- BankFrame
local a, b, c, d, _, e = BankFrame:GetRegions()
for _, v in pairs({a, b, c, d, e}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

-- MerchantFrame
local a, b, c, d, e, f, g, h = MerchantFrameTab1:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = MerchantFrameTab2:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local _, a, b, c, d, _, _, _, e, f, g, h, j, k = MerchantFrame:GetRegions()
for _, v in pairs({a, b, c ,d, e, f, g, h, j, k}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

-- Paperdoll

local a, b, c, d, _, e = PaperDollFrame:GetRegions()
for _, v in pairs({a, b, c, d, e}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, _, e = PetPaperDollFrame:GetRegions()
for _, v in pairs({a, b, c, d, e}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

-- Skill

local a, b, c, d = SkillFrame:GetRegions()
for _, v in pairs({a, b, c ,d}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

--Reputation Frame
local a, b, c, d = ReputationFrame:GetRegions()
for _, v in pairs({a, b, c, d}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

for _, v in pairs({ReputationDetailCorner, ReputationDetailDivider}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end


-- Character Tabs
local a, b, c, d, e, f, g, h = CharacterFrameTab1:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = CharacterFrameTab2:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = CharacterFrameTab3:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = CharacterFrameTab4:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end


local a, b, c, d, e, f, g, h = CharacterFrameTab5:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

-- Social Frame
local a, b, c, d, e, f, g, _, i, j, k, l, n, o, p, q, r, _, _ = FriendsFrame:GetRegions()
for _, v in pairs({a, b, c, d, e, f, g, h, i, j, k, l, n, o, p, q, r, FriendsFrameInset:GetRegions()}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

FriendsFrameInsetInsetBottomBorder:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
WhoFrameEditBoxInset:GetRegions():SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
WhoFrameDropDownLeft:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
WhoFrameDropDownMiddle:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
WhoFrameDropDownRight:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)

local a, b, c, d, e, f, g, h, i = WhoFrameEditBoxInset:GetRegions()
for _, v in pairs({a, b, c, d, e, f, g, h, i}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = FriendsFrameTab1:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = FriendsFrameTab2:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = FriendsFrameTab3:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = FriendsFrameTab4:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

-- GuildFrame
local a, b, c, d, e, f = GuildFrame:GetRegions()
for _, v in pairs({e, f}) do
    v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

-- MailFrame
local a, b, c, d, e, f, g, h = MailFrameTab1:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end

local a, b, c, d, e, f, g, h = MailFrameTab2:GetRegions()
for _, v in pairs({a, b, c, d, e, f}) do
      v:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
end


for i, v in pairs({
    SettingsPanel.bg,
    SettingsPanel.Bg.TopSection,
    SettingsPanel.Bg.BottomEdge,
    SettingsPanel.NineSlice.TopEdge,
    SettingsPanel.NineSlice.TopLeftCorner,
    SettingsPanel.NineSlice.TopRightCorner,
    SettingsPanel.NineSlice.BottomLeftCorner,
    SettingsPanel.NineSlice.BottomRightCorner,
    SettingsPanel.NineSlice.BottomEdge,
    SettingsPanel.NineSlice.LeftEdge,
    SettingsPanel.NineSlice.RightEdge,
}) do
    v:SetVertexColor(.15, .15, .15)
end

ChatFrame1EditBoxLeft:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
ChatFrame1EditBoxMid:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
ChatFrame1EditBoxRight:SetVertexColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)

GameTooltip:SetBackdropBorderColor(GoodmanUIDB.COLOR, GoodmanUIDB.COLOR, GoodmanUIDB.COLOR)
GameTooltip.SetBackdropBorderColor = function() end
end

local f = CreateFrame("Frame")
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", function(self, event, arg1)
    if (addonName == arg1) then
        FrameColour()
    end
end)

function ColorRaid()
    for g = 1, NUM_RAID_GROUPS do
        local group = _G["CompactRaidGroup" .. g .. "BorderFrame"]
        if group then
            for _, region in pairs({group:GetRegions()}) do
                if region:IsObjectType("Texture") then
                    region:SetVertexColor(.05, .05, .05)
                end
            end
        end
        for m = 1, 8 do
            local frame = _G["CompactRaidGroup" .. g .. "Member" .. m]
            if frame then
                groupcolored = true
                for _, region in pairs({frame:GetRegions()}) do
                    if region:GetName():find("Border") then
                        region:SetVertexColor(.05, .05, .05)
                    end
                end
            end
            local frame = _G["CompactRaidFrame" .. m]
            if frame then
                singlecolored = true
                for _, region in pairs({frame:GetRegions()}) do
                    if region:GetName():find("Border") then
                        region:SetVertexColor(.05, .05, .05)
                    end
                end
            end
            local groupTitle = _G["CompactRaidGroup" .. m .. "Title"]
            if groupTitle then
                groupTitle:SetFormattedText(m)
            end
        end
    end
    for _, region in pairs({CompactRaidFrameContainerBorderFrame:GetRegions()}) do
        if region:IsObjectType("Texture") then
            region:SetAlpha(0)
        end
    end
    if CompactPartyFrameTitle then
        CompactPartyFrameTitle:SetAlpha(0)
    end
end

local CF = CreateFrame("Frame")
CF:RegisterEvent("PLAYER_ENTERING_WORLD")
CF:RegisterEvent("GROUP_ROSTER_UPDATE")

CF:SetScript(
    "OnEvent",
    function(self, event)
        ColorRaid()
        CF:SetScript(
            "OnUpdate",
            function()
                if CompactRaidGroup1 and not groupcolored == true then
                    ColorRaid()
                end
                if CompactRaidFrame1 and not singlecolored == true then
                    ColorRaid()
                end
            end
        )
        if event == "GROUP_ROSTER_UPDATE" then
            return
        end
    end
)